Native Client Chrome Games

4

Quindi ho cercato di eseguire alcune applicazioni di Chrome che fanno uso della nuova tecnologia di Google di client nativi sul mio nuovo computer desktop. Tutti mi danno errori quando tento di iniziare il gioco. Uno di questi a volte funziona, ma quando lo fa, l'aggiornamento o la chiusura della scheda e l'apertura di nuovo del gioco risulteranno con il suo mancato funzionamento. Non ho scheda grafica solo la grafica integrata nella CPU i5. Il mio computer è un Lenovo H330 e sto usando Ubuntu 11.10.

Ecco un montaggio delle applicazioni di Chrome e i loro errori corrispondenti. link immagine

Si noti che il gioco 'Bastion' sembra aver ogni giorno dato un errore diverso. Ci sono stati in totale quattro diversi errori che mi ha dato. Uno che non ho avuto è stato il primo. Quindi il secondo errore diverso è quello nell'immagine. Il terzo è l'errore qui sotto e finalmente oggi mi ha dato un quarto errore che si trova sotto il terzo errore. Il gioco del bastione sembra dare più errori informativi degli altri.

Oh No! Bastion Has Stopped Working

This game requires a WebGL-compatible graphics card and that WebGL is enabled.

Please check to make sure you have a compatible card
with the latest drivers from your card manufacturer.
For a list of Chrome WebGL compatible cards, check out Chrome support.

Some versions of Chrome can disable WebGL,
please check chrome://flags to ensure it is enabled.


Oh No! Bastion Has Stopped Working

The game encountered an error and was forced to quit.
We're sorry for the inconvenience.
Your graphics card does not meet the minimum requirement to run the game.
Bastion requires a graphics card with at least 512MB of VRAM.

Perché non posso eseguire questi giochi compilati con NaCl? Ecco il contenuto del /var/log/Xorg.0.log link tutti i giochi funzionano bene su Windows 7.

    
posta RADXack 13.12.2011 - 19:24

2 risposte

0

Il tuo problema è WebGL piuttosto che Native Client. L'errore ti dice tutto quello che devi sapere: la tua configurazione corrente non supporta WebGL, molto probabilmente perché non hai installato il driver grafico corretto.

  

La tua scheda grafica non soddisfa il requisito minimo per eseguire il gioco.   Bastione richiede una scheda grafica con almeno 512 MB di VRAM.

Scopri di più su WebGL e su come scaricarlo (possibilmente) eseguendo il tuo computer qui: link

    
risposta data TomTasche 13.12.2011 - 22:20
1

Ho trovato un tutorial su come giocare a giochi client nativi su Linux qui .

Per prima cosa devi controllare che il client nativo sia abilitato in chrome: // flags o no.

In secondo luogo è necessario abilitare WebGL eseguendo il comando:

google-chrome --enable-webgl --ignore-gpu-blacklist

Puoi anche fare la stessa cosa andando su chrome: // flags e abilitando "Override software rendering list"

Infine, il client nativo attualmente funziona solo con Chrome. Sembra che alcune versioni di cromo siano temporaneamente inserite nella lista nera a causa di un bug. Potrebbe anche essere necessario installare driver proprietari per interrompere gli errori di "scheda grafica non compatibile".

    
risposta data user8592 17.12.2011 - 09:59

Leggi altre domande sui tag